Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class CreditorReferenceInformation2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.CreditorReferenceInformation2

public class CreditorReferenceInformation2 extends Object

Java class for CreditorReferenceInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CreditorReferenceType2" minOccurs="0"/>
             <element name="Ref" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ref`
`protected CreditorReferenceType2`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`CreditorReferenceInformation2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRef()`
Gets the value of the ref property.
`CreditorReferenceType2`
`getTp()`
Gets the value of the tp property.
`void`
`setRef(String value)`
Sets the value of the ref property.
`void`
`setTp(CreditorReferenceType2 value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected CreditorReferenceType2 tp

### ref

protected String ref

## Constructor Details

### CreditorReferenceInformation2

public CreditorReferenceInformation2()

## Method Details

### getTp

public CreditorReferenceType2 getTp()
Gets the value of the tp property.

Returns:
  possible object is `CreditorReferenceType2`

### setTp

public void setTp(CreditorReferenceType2 value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CreditorReferenceType2`

### getRef

public String getRef()
Gets the value of the ref property.

Returns:
  possible object is `String`

### setRef

public void setRef(String value)
Sets the value of the ref property.

Parameters:
  `value` - allowed object is `String`